Qt 5.11 | Qt 3D | C++ Classes | QClipBlendNodeCreatedChangeBase

Qt 5.11.3 Reference Documentation

# QClipBlendNodeCreatedChangeBase Class

(Qt3DAnimation::QClipBlendNodeCreatedChangeBase)

Base class for changes in QClipBlendNode. More...

Header: | #include <QClipBlendNodeCreatedChangeBase>
qmake: | QT += 3danimation
Inherits: | Qt3DCore::QNodeCreatedChangeBase

- List of all members, including inherited members

## Public Functions

| QClipBlendNodeCreatedChangeBase(const Qt3DAnimation::QAbstractClipBlendNode *node)
virtual | ~QClipBlendNodeCreatedChangeBase()

- 3 public functions inherited from Qt3DCore::QNodeCreatedChangeBase
- 4 public functions inherited from Qt3DCore::QSceneChange

## Detailed Description

Base class for changes in QClipBlendNode.

## Member Function Documentation

### QClipBlendNodeCreatedChangeBase::QClipBlendNodeCreatedChangeBase(const Qt3DAnimation::QAbstractClipBlendNode *node)

Default constructs an instance of QClipBlendNodeCreatedChangeBase.

### `[virtual]` QClipBlendNodeCreatedChangeBase::~QClipBlendNodeCreatedChangeBase()

Destroys the instance of QClipBlendNodeCreatedChangeBase. The destructor is virtual.